
TYPO3.Fluid - Bug # 3294

Status: Resolved Priority: Should have
Author: Sebastian Kurfuerst Category: Core
Created: 2009-05-14 Assigned To:
Updated: 2010-10-20 Due date:
Has patch:
Affected Flow version:
Subject: Introduce reflection cache
Description

Introduce reflection cache

History
#1 - 2009-05-20 13:52 - Sebastian Kurfuerst
- Target version changed from 1.0.0 alpha 1 to 1.0
- Branch set to v4

#2 - 2009-06-06 08:40 - Sebastian Kurfuerst

Problem:
Some parts of Fluid/Extbase use Reflection to determine the parameters of an action and a ViewHelper. For that, we backported some aspects of the
FLOW3 reflection service, which can be found in Tx_Extbase_Reflection_Service.
However, Reflection in PHP is quite slow, that's why in FLOW3, this information is cached inside the caching framework (which is available in TYPO3
4.3 as well).

Job description:
Your job is to add caching support using the Caching Framework to the Reflection Service, making general Extbase and Fluid calls a lot faster.

#3 - 2009-06-09 12:39 - Niels Pardon
- File 3294_extbase.patch added

#4 - 2009-06-10 10:02 - Niels Pardon
- File 3294_extbase.patch added

#5 - 2009-06-18 13:36 - Sebastian Kurfuerst
- Category set to Core
- Status changed from New to Resolved
- % Done changed from 0 to 100

#6 - 2009-06-23 15:46 - Nikolas Hagelstein

Though it's actually TYPO3 core/Caching framework related the backport of this feature triggers:
http://bugs.typo3.org/view.php?id=11386.

Files
3294_extbase.patch 10.5 kB 2009-06-09 Niels Pardon
3294_extbase.patch 9.3 kB 2009-06-10 Niels Pardon
